GET
/{resourceUri}/providers/Microsoft.Advisor/recommendations/{recommendationId}/suppressions/{name}
https://azure.com/{resourceUri}/providers/Microsoft.Advisor/recommendations/{recommendationId}/suppressions/{name}Obtains the details of a suppression.
Access Token Required: API Key
Path Parameters
resourceUristringrequired
The fully qualified Azure Resource Manager identifier of the resource to which the recommendation applies.
recommendationIdstringrequired
The recommendation ID.
namestringrequired
The name of the suppression.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/{resourceUri}/providers/Microsoft.Advisor/recommendations/{recommendationId}/suppressions/{name}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}